Bug 58782 - bad libdir entries in .la files
Summary: bad libdir entries in .la files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-24 14:17 UTC by rm0
Modified: 2015-03-05 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 14:17:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rm0 2002-01-24 14:17:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.7) Gecko/20011221

Description of problem:
The files 
/usr/lib/lib{ucdmibs,ucdagent,mibs}.la

(included in the ucd-snmp-devel sub-package) contain 

libdir='/usr/src/build/40462-i386/install/usr/lib'

entries. If you recompile the ucd-snmp packages you obtain

libdir='<your rpm build root>/usr/lib'

I think It's a bug but I'm not sure if it harms.

I found this when I was 'stracing' snmpd
and saw several lines where the daemon is trying
unsuccessfuly to open() files
like '/var/tmp/ucd-snmp/usr/lib/i686/mmx/libucdmibs...'

(I was using a locally rebuilt source rpm package)

Maybe these open attempts are signs of another different  
bug.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. $ rpm -q ucd-snmpd-devel
     ucd-snmp-devel-4.2.1-7
2. $ cat /usr/lib/libsnmp.la



Actual Results:  The libdir entries in the 
/usr/lib/lib{ucdmibs,ucdagent,mibs}.la
have wrong paths.



Expected Results:  The libdir entries in the 
/usr/lib/lib{ucdmibs,ucdagent,mibs}.la
files should have the '/usr/lib' value


Additional info:

The newest RHL 6.2 errata packages for ucd-snmp
(4.2.1-4.6.x) suffer from the same problem.

Comment 1 Phil Knirsch 2002-01-29 15:30:27 UTC
The latest version (4.2.3) is available via rawhide now. This should fix this
problem.

Thanks,

Read ya, Phil



Note You need to log in before you can comment on or make changes to this bug.